AOZ Studio Beta - Bug #878

Sprite Move - Wrong movement
12/10/2021 02:53 PM - Alex Vac

Status: Resolved Start date: 12/10/2021
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B11) ut17

Description

Sometimes Sprite MOVE doesn't move according to the code entered.
In the example below both sprites continue moving down the screen although they should move back to the starting spot and loop.

EXAMPLE IN ACTION
https://app.aoz.studio/4a7bm702/

EXAMPLE CODE

START:

sprite 1,250,110,1 : move y 1,"(1,2,20)(1,-40,1)I"
sprite 2,500,110,2 : move y 2,"(1,2,20)(1,-20,2)I"

move on: wait vbl :wait Key :cls: sprite off : move off :goto START

History

#1 - 12/11/2021 09:47 AM - Francois Lionet

- Status changed from New to Resolved

Fixed!

04/10/2024
